Upload schedule file

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://developers.smartpm.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "SmartPM Public API MCP server": {
    "url": "https://developers.smartpm.com/mcp"
  }
}

Close
POST /company/{companyId}/upload

Headers

  • X-COMPANY-ID string Required

    The company's unique ID

Path parameters

  • companyId string Required

Query parameters

  • files array[string(binary)] Required
  • source string Required

Responses

  • 200 application/json

    OK

    Hide response attributes Show response attributes object
    • fileId string(uuid)
    • filePath string
    • message string
POST /company/{companyId}/upload
curl \
 --request POST 'https://live.smartpmtech.com/company/{companyId}/upload?files=%40file&source=string' \
 --header "X-API-KEY: $API_KEY" \
 --header "X-COMPANY-ID: string"
Response examples (200)
{
  "fileId": "string",
  "filePath": "string",
  "message": "string"
}